org.red5.server.jmx

## Class JMXUtil

- java.lang.Object
- - org.red5.server.jmx.JMXUtil

    public class JMXUtil
    extends Object

Helper methods for working with ObjectName or MBean instances.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`JMXUtil()`

### Method Summary

Methods
`static void` `printMBeanInfo(ObjectName objectName, String className)`
`static boolean` `registerNewMBean(Class clazz, Class interfaceClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JMXUtil

    public JMXUtil()

### Method Detail

#### printMBeanInfo

    public static void printMBeanInfo(ObjectName objectName,
                      String className)

#### registerNewMBean

    public static boolean registerNewMBean(Class clazz,
                           Class interfaceClass)